import 'package:facebook_audience_network/facebook_audience_network.dart';
import 'package:th_studio_common_module/th_studio_ad_listener.dart';

class RewardFacebook {
  String _adId;
  bool _isAdLoaded = false;
  THStudioAdListener _additionalListener;

  _listener(RewardedVideoAdResult result, value) {
    print('Reward load $result - $value');
    if (result == RewardedVideoAdResult.LOADED) {
      _isAdLoaded = true;
      if (_additionalListener != null) {
        _additionalListener.onAdLoaded();
      }
    }
    if (result == RewardedVideoAdResult.VIDEO_CLOSED) {
      _isAdLoaded = false;
      if (_additionalListener != null) {
        _additionalListener.onAdClosed();
      }
      loadAd(_adId);
    }
    if (result == RewardedVideoAdResult.ERROR) {}
  }

  void loadAd(String id) {
    _adId = id;
    FacebookRewardedVideoAd.loadRewardedVideoAd(
        placementId: id, listener: _listener);
  }

  void show({THStudioAdListener listener}) {
    _additionalListener = listener;
    if (_isAdLoaded == true)
      FacebookRewardedVideoAd.showRewardedVideoAd();
    else {
      if (_additionalListener != null) {
        _additionalListener.onAdFailedToLoad(-1);
      }
    }
  }
}
